Bug 7104 - 6.1 installer rewrites SCSI BIOS settings for Ultrastore Ultra 34F controller
6.1 installer rewrites SCSI BIOS settings for Ultrastore Ultra 34F controller
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jay Turner
Depends On:
  Show dependency treegraph
Reported: 1999-11-18 11:58 EST by Joseph Jaynes
Modified: 2015-01-07 18:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-09 08:36:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joseph Jaynes 1999-11-18 11:58:05 EST
I have an old 486-66 that is (or rather, was) running Win95 just dandy. It
has a VL-Bus motherboard and uses an Ultrastore Ultra 34F SCSI controller
to connect 2 hard drives and a CD-ROM drive.  The device IDs are:

SCSI ID      Device
0            Maxtor 7213 hard drive
1            Fujitsu M1606S-512 hard drive
6            Toshiba XM-5701TA CD-ROM drive
7            Ultrastore Ultra 34F VL-Bus SCSI controller

When I attempted to boot Linux 6.1 from the boot diskette for the 1st time,
the installer appears to have changed the SCSI bios settings so that device
0 is no longer found. With no primary hard drive found, the PC refuses to
boot ... not Windows, not Linux from the boot floppy, not DOS from a DOS
boot floppy ... nothing.

I have the Ultrastore controller docs, and there's no way to get into the
SCSI BIOS to restore the settings to factory defaults, or any other values,
without first booting the PC.  There's a DEBUG utility on the driver
diskette, but you have to get a DOS prompt to run it so I'm out of luck.

Suggestions?  The system is totally unusable in its current state, which is
clearly unacceptable.
Comment 1 Jay Turner 1999-11-29 12:32:59 EST
I cannot imagine how the Red Hat installer would rewrite the SCSI BIOS that your
card depends on, unless that BIOS information were stored in a file on the
partitions that you installed Linux on, but that really does not make sense, as
then the card would need to access the drive to find out about the drive and
that just does not make sense.  You say there is no other way to get to the BIOS
of the card, other than running a Windoze application?

About the only thing that I can recommend is that you boot the system into linux
rescue mode (type "linux rescue" at the boot prompt) and then try to get access
to the drive from there.

I would also recommend checking the cables connecting the drives, as I have
never seen an installation which was capable of rewriting BIOS information.
Comment 2 Jay Turner 2000-02-09 08:36:59 EST
Closing bug due to lack of activity.

Note You need to log in before you can comment on or make changes to this bug.